classdef GluconicAcidBFPReader
    % TODO: create a super class, the static methods should be transformed
    
    % GluconicAcidBFPReader
    %   static methods for reading the results of the simulation
    
    methods (Access = public, Static)
        
        function expData = loadExperimentalData(pathToExperimentalData)
            
            persistent gluconicAcidData
            if isempty(gluconicAcidData)               
                gluconicAcidData = xlsread(pathToExperimentalData);
            end
            
            expData = gluconicAcidData;

        end
        
        function modData = loadModelData(filePath)
            data = xlsread(char(filePath), 'A:E');
            modData = data(7:end, :);                                  
        end
    end
end