classdef FileSaver
    
     methods (Access = public, Static)
        function saveAlgorithmData(algorithm, filename)
            % store the information on Row 3
            xlswrite(filename, cellstr(algorithm.generateFullDescription()), 'Sheet1', 'A3');
        end
      
        function saveBestSolution(bestSolution, filename)
            % store the information on Row 4
            xlswrite(filename, cellstr("Best solution: "), 'Sheet1', 'A4');
            xlswrite(filename, bestSolution, 'Sheet1', 'B4');
        end
     end
end